rte_port_in_action_lb_config(3)

NAME
rte_port_in_action_lb_config

SYNOPSIS

#include <rte_port_in_action.h>

  Data Fields

uint32_t key_size
uint32_t key_offset
uint8_t key_mask [RTE_PORT_IN_ACTION_LB_KEY_SIZE_MAX]
rte_table_hash_op_hash f_hash
uint64_t seed
uint32_t port_id [RTE_PORT_IN_ACTION_LB_TABLE_SIZE]

Detailed Description

Load balance action configuration (per action profile).

Definition at line 122 of file rte_port_in_action.h.

Field Documentation

  uint32_t key_size
Key size (number of bytes).

Definition at line 124 of file rte_port_in_action.h.

  uint32_t key_offset
Key offset within the input packet buffer. Offset 0 points to the first byte of the MBUF structure.

Definition at line 129 of file rte_port_in_action.h.

  uint8_t key_mask[RTE_PORT_IN_ACTION_LB_KEY_SIZE_MAX]
Key mask(key_size bytes are valid).

Definition at line 132 of file rte_port_in_action.h.

  rte_table_hash_op_hash f_hash
Hash function.

Definition at line 135 of file rte_port_in_action.h.

  uint64_t seed
Seed value for f_hash.

Definition at line 138 of file rte_port_in_action.h.

  uint32_t port_id[RTE_PORT_IN_ACTION_LB_TABLE_SIZE]
Table defining the weight of each pipeline output port. The weights are set in 1/RTE_PORT_IN_ACTION_LB_TABLE_SIZE increments. To assign a weight of N/RTE_PORT_IN_ACTION_LB_TABLE_SIZE to a given output port (0 <= N <= RTE_PORT_IN_ACTION_LB_TABLE_SIZE), the output port needs to show up exactly N times in this table. Can be updated later.

See also
    struct rte_port_in_action_lb_params

Definition at line 148 of file rte_port_in_action.h.

Author

Generated automatically by Doxygen for DPDK from the source code.